Bug 198408 - Package rhythmbox lacks IPv6 support
Summary: Package rhythmbox lacks IPv6 support
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:29 UTC by Peter Vrabec
Modified: 2008-07-03 07:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 16:05:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replace IPv4-only code with AF-agnostic approach (3.96 KB, patch)
2006-07-18 05:56 UTC, Jan Pazdziora
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:29:10 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/rhythmbox-0.9.5/daapsharing/rb-daap-src.c:668:	src->sock_fd = socket (AF_INET, SOCK_STREAM, 0);
/rhythmbox-0.9.5/daapsharing/rb-daap-src.c:676:	server.sin_family = AF_INET;

Comment 1 Jan Pazdziora 2006-07-18 05:56:23 UTC
Created attachment 132584 [details]
Replace IPv4-only code with AF-agnostic approach

The patch changes IPv4-only routines by getaddrinfo.

The patch adds support for IPv6 addresses in URI as recommended by RFC 2732.

Why was there strrchr (hostport, ':'); in _split_uri -- what would have
happened if there was a colon in the path part? Anyway, changed to strchr.

Changed the type of argument port in _split_uri to gchar ** -- we work with
strings only.

The patch was not tested beyond compile.

Comment 2 Bastien Nocera 2007-01-30 16:05:34 UTC
The DAAP source only works on local networks, and advertised through mDNS, so I
don't think it makes sense to have IPv6 support there.

Also, those aren't full URIs, but just host/port combinations stored internally
(ie. a DAAP source on the local network could be daap://192.168.2.2:8097)

Filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=402477

Comment 3 Yves-Alexis Perez 2008-07-03 07:00:36 UTC
Hmh, why the fact that it works only on local networks and be advertised through
mDNS would block DAAP to work with IPv6?


Note You need to log in before you can comment on or make changes to this bug.